Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFDestination

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFDestination

All Implemented Interfaces:
  PDFWritable

public class PDFDestination
extends PDFObject

class representing a named destination

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFObject
`DATE_FORMAT, log`

Constructor Summary
`PDFDestination(java.lang.String idRef, java.lang.Object goToRef)` Create a named destination

Method Summary
`boolean` | `equals(java.lang.Object obj)` Check if this equals another object.
`java.lang.Object` | `getGoToReference()` Returns the GoToReference from the associated DestinationData object.
`java.lang.String` | `getIDRef()` Returns the RefID from the associated DestinationData object.
`int` | `hashCode()`
`protected int` | `output(java.io.OutputStream stream)` Write the PDF represention of this object
`void` | `setGoToReference(java.lang.Object goToReference)` Sets the GoToReference in the associated DestinationData object.
`void` | `setGoToReference(java.lang.String goToReference)` Deprecated. use setGoToReference(Object) instead

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatDateTime, formatDateTime, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFDestination

    public PDFDestination(java.lang.String idRef,
                          java.lang.Object goToRef)

  Create a named destination

Parameters:
  `idRef` - ID Reference for this destination (the name of the destination)
  `goToRef` - Object reference to the GoTo Action

Method Detail

### output

    protected int output(java.io.OutputStream stream)
                  throws java.io.IOException

  Write the PDF represention of this object

  Overrides:
    `output` in class `PDFObject`
  Parameters:
    `stream` - the stream to write the PDF to
  Returns:
    the number of bytes written
  Throws:
    `java.io.IOException` - if there is an error writing to the stream

### setGoToReference

    public void setGoToReference(java.lang.String goToReference)

  Deprecated. use setGoToReference(Object) instead

  Sets the GoToReference in the associated DestinationData object.

  Parameters:
    `goToReference` - the reference to set in the associated DestinationData object.

### setGoToReference

    public void setGoToReference(java.lang.Object goToReference)

  Sets the GoToReference in the associated DestinationData object.

  Parameters:
    `goToReference` - the reference to set in the associated DestinationData object.

### getGoToReference

    public java.lang.Object getGoToReference()

  Returns the GoToReference from the associated DestinationData object.

  Returns:
    the GoToReference from the associated DestinationData object.

### getIDRef

    public java.lang.String getIDRef()

  Returns the RefID from the associated DestinationData object.

  Returns:
    the RefID from the associated DestinationData object.

### equals

    public boolean equals(java.lang.Object obj)

  Check if this equals another object.

  Parameters:
    `obj` - the object to compare
  Returns:
    true if this equals other object

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.